FreeMat

- Main Page
- Related Pages

vtkXMLHierarchicalBoxDataReader

Section: Visualization Toolkit IO Classes

# Usage

vtkXMLHierarchicalBoxDataReader reads the VTK XML hierarchical data file format. XML hierarchical data files are meta-files that point to a list of serial VTK XML files. When reading in parallel, it will distribute sub-blocks among processor. If the number of sub-blocks is less than the number of processors, some processors will not have any sub-blocks for that level. If the number of sub-blocks is larger than the number of processors, each processor will possibly have more than 1 sub-block.

To create an instance of class vtkXMLHierarchicalBoxDataReader, simply invoke its constructor as follows

      obj = vtkXMLHierarchicalBoxDataReader

# Methods

The class vtkXMLHierarchicalBoxDataReader has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkXMLHierarchicalBoxDataReader class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkXMLHierarchicalBoxDataReader = obj.NewInstance ()`
- `vtkXMLHierarchicalBoxDataReader = obj.SafeDownCast (vtkObject o)`